import sys
from PyQt4 import QtGui,QtCore

class HelloButton(QtGui.QPushButton):
    def __init__(self, *args):
        apply(QtGui.QPushButton.__init__, (self,) + args)
        self.setText("Hello World")

class HelloWindow(QtGui.QMainWindow):
    def __init__(self, *args):
        apply(QtGui.QMainWindow.__init__, (self,) + args)
        self.button=HelloButton(self)
        self.setCentralWidget(self.button)

def main(args):
    app=QtGui.QApplication(args)
    win=HelloWindow()
    win.show()
    app.connect(win.button, QtCore.SIGNAL("clicked()"),
                app, QtCore.SLOT("quit()"))
    app.exec_()

main(sys.argv)
